-- ----------------------------------------------------------------------------
-- Copyright (C) 2010 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: English UK TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Serena"
language = "English (UK)"
marc_code = "eng"
language_id = "1"
id = "1002"
config_file = "english_tts/config_tts.lua"
audio_files_path = "english_tts/english_tts"
rulesets_file = "english_tts/english_tts/rulesets_ENG.txt"
userdictionary_file = "english_tts/english_tts/udct_eng.dat"
apdb = "apdb/serena/nm"
audio_files_version = "0.3.0.2012042001"
feature_list = { "metric", "imperial_uk", "imperial_us" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

maneuver_check = {
    ["END"] = "you will reach your destination",                         -- You will reach your destination
    ["STOPOVER"] = "you will reach a stopover",                          -- You will reach a stopover
    ["JUNCTION"] = nil,                                                  -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                             -- the junction
    ["ROUNDABOUT"] = "at the roundabout",                                -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "take the exit",                               -- take the exit
    ["UTURN"] = "make a u turn",                                         -- Make a uturn
    ["ENTER_HIGHWAY"] = "enter the motorway",
    ["LEAVE_HIGHWAY"] = "take the exit",                                 -- take the exit
    ["CONTINUE_HIGHWAY"] = "take the exit",                              -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "enter the urban motorway",
    ["LEAVE_URBAN_HIGHWAY"] = "take the exit",                           -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "continue the urban motorway",
    ["DRIVE_TO_NEAREST_ROAD"] = "drive to nearest road",                 -- drive to nearest road 
    ["FERRY"] = "take the ferry"
    -- dummy comment 
}

maneuver_turns_car = {
    ["NO_TURN"] = "go straight ahead",
    ["KEEP_MIDDLE"] = "take the middle lane",
    ["KEEP_RIGHT"] = "keep right",
    ["LIGHT_RIGHT"] = "turn slightly right",
    ["QUITE_RIGHT"] = "turn right",
    ["HEAVY_RIGHT"] = "turn sharply right",
    ["RETURN"] = "make a u turn",
    ["HEAVY_LEFT"] = "turn sharply left",
    ["QUITE_LEFT"] = "turn left",
    ["LIGHT_LEFT"] = "turn slightly left",
    ["KEEP_LEFT"] = "keep left",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "walk straight ahead",
    ["KEEP_MIDDLE"] = "take the street in the middle",
    ["KEEP_RIGHT"] = "take the street on the right",
    ["LIGHT_RIGHT"] = "turn slightly right",
    ["QUITE_RIGHT"] = "turn right",
    ["HEAVY_RIGHT"] = "turn sharply right",
    ["RETURN"] = "make a u turn",
    ["HEAVY_LEFT"] = "turn sharply left",
    ["QUITE_LEFT"] = "turn left",
    ["LIGHT_LEFT"] = "turn slightly left",
    ["KEEP_LEFT"] = "take the street on the left",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "go through the building",
    ["SQUARE"] = "cross the square",
    ["PARK"] = "cross the park",
    ["STAIRS"] = "take the stairs",
    ["ELEVATOR"] = "take the lift",
    ["ESCALATOR"] = "take the escalator"
}

final_command = {
    ["END"] = "You've reached your destination",              -- You have reached your destination
    ["STOPOVER"] = "You've reached a stopover"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"take the first exit", "turn at the first street"},             -- take the first exit
    [2] = {"take the second exit", "turn at the second street"},           -- take the second exit
    [3] = {"take the third exit", "turn at the third street"},             -- take the third exit
    [4] = {"take the fourth exit", "turn at the fourth street"},           -- take the fourth exit
    [5] = {"take the fifth exit", "turn at the fifth street"},             -- take the fifth exit
    [6] = {"take the sixth exit", "turn at the sixth street"},             -- take the sixth exit
    [7] = {"take the seventh exit", "turn at the seventh street"},         -- take the seventh exit
    [8] = {"take the eighth exit", "turn at the eighth street"},           -- take the eighth exit
    [9] = {"take the ninth exit", "turn at the ninth street"},             -- take the ninth exit
    [10] = {"take the tenth exit", "turn at the tenth street"},            -- take the tenth exit
    [11] = {"take the eleventh exit", "turn at the eleventh street"},      -- take the eleventh exit
    [12] = {"take the twelfth exit", "turn at the twelfth street"}         -- take the twelfth exit
}

unit = {                        
    ["MILE"] = "mile",
    ["YARDS"] = "yards",
    ["FEET"] = "feet",
    ["KILOMETER"] = "kilometer",
    ["METERS"] = "meters",
    ["METER"] = "meter",
    ["KILOMETERS"] = "kilometers",
    ["MILES"] = "miles",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "north",
    ["NORTH_EAST"] = "northeast",
    ["EAST"] = "east",
    ["SOUTH_EAST"] = "southeast",
    ["SOUTH"] = "south",
    ["SOUTH_WEST"] = "southwest",
    ["WEST"] = "west",
    ["NORTH_WEST"] = "northwest"
}

misc = { 
    ["gps_signal_lost_wav"] = "GPS signal lost",
    ["gps_signal_restored_wav"] = "GPS signal has been restored",
 --   ["no_gps_signal_wav"] = "No GPS signal",
    ["route_recalculation_wav"] = "Route recalculation",
    ["now_wav"] = "Now",
    ["end_of_street_wav"] = "At the end of the road",
    ["follow_motorway_wav"] = "Follow the motorway",
    ["follow_road_wav"] = "Follow the course of the road",
    ["for_wav"] = "for",
    ["after_wav"] = "After",
    ["the_junction_wav"] = "the junction",
    ["half_a_mile_wav"] = "half a mile",
    ["quarter_a_mile_wav"] = "a quarter of a mile",
    ["three_quarter_of_mile_wav"] = "three quarters of a mile",
    ["immediately_wav"] = "immediately",
    ["safety_camara_ahead_wav"] = "Safety camera ahead",
    --["over_speed_limit_wav"] = "Observe speed limit",
    ["traffic_automatic_detour_wav"] = "Traffic on route, detouring",
    ["traffic_manual_detour_wav"] = "Traffic on route, do you want to detour?",
    ["no_detour_possible"] = "No detour found around traffic",
    ["and_wav"] = "and",
    ["and_then_wav"] = "and then",
    ["and_continue_on_wav"] = "and continue on",
    ["towards_wav"] = "towards",
    ["turn_wav"] = "turn",
    ["onto_wav"] = "onto",
    ["exit_wav"] = "take exit",
    ["second_right_wav"] = "take the second right",
    ["second_left_wav"] = "take the second left",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "walk left around the roundabout",
    ["walk_right_roundabout_wav"] = "walk right around the roundabout",
    ["walk_roundabout_wav"] = "walk around the roundabout",
    ["head_wav"] = "Head",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "on",
    ["the_footpath_wav"] = "the footpath"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav",
	["speed_limit_beeps"] = "g5war_speed_limit_soft4edit9.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


